%define name    qjackctl
%define version 0.4.5
%define release 28

%define _prefix	/usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

Summary:	JACK Audio Connection Kit Qt GUI Interface
Name: qjackctl
Version: 0.4.5
Release: 28.rncbc.suse
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Utilities
Source0:	%{name}-%{version}.tar.gz
URL:		http://qjackctl.sourceforge.net/
#Packager:	rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

#BuildRequires:	libqt4-devel >= 4.4
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	qt5-qtbase-devel >= 5.1, qt5-linguist
BuildRequires:	qt5-qtx11extras-devel >= 5.1
BuildRequires:	alsa-lib-devel
%else
BuildRequires:	pkg-config
BuildRequires:	libqt5-qtbase-devel >= 5.1, libqt5-linguist
BuildRequires:	libqt5-qtx11extras-devel >= 5.1
BuildRequires:	alsa-devel
%endif
BuildRequires:	libjack-devel >= 0.100.0

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application
to control the JACK server. Written in C++ around the Qt framework
for X11, most exclusively using Qt Designer. Provides a simple GUI
dialog for setting several JACK server parameters, which are properly
saved between sessions, and a way control of the status of the audio
server. With time, this primordial interface has become richer by 
including a enhanced patchbay and connection control features.

%prep
%setup
[ -x ./autogen.sh ] && ./autogen.sh

%build
%configure
%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
#dir %{_datadir}/applications
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%dir %{_datadir}/appdata
#dir %{_datadir}/man
#dir %{_datadir}/man/man1
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/man/man1/%{name}*.1.gz

%changelog
* Thu Apr 27 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.4.5
- Pre-LAC2017 release frenzy.
* Mon Nov 14 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.4
- A Fall'16 release.
* Wed Sep 14 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.3
- End of Summer'16 release.
* Tue Apr  5 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.2
- Spring'16 release frenzy.
* Wed Oct 28 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.4.1
- A Fall'15 release.
* Wed Jul 15 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.4.0
- Summer'15 release frenzy.
* Wed Mar 25 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.3.13
- Pre-LAC2015 release frenzy.
* Sun Oct 19 2014 Rui Nuno Capela <rncbc@rncbc.org> 0.3.12
- JACK Pretty-names aliasing.
* Tue Dec 31 2013 Rui Nuno Capela <rncbc@rncbc.org> 0.3.11
- A fifth of a Jubilee release.
* Tue Apr  2 2013 Rui Nuno Capela <rncbc@rncbc.org> 0.3.10
- The singing swan rehersal.
* Fri May 18 2012 Rui Nuno Capela <rncbc@rncbc.org> 0.3.9
- The last of the remnants.
* Fri Jul  1 2011 Rui Nuno Capela <rncbc@rncbc.org> 0.3.8
- JACK Session versioning. 
* Tue Nov 30 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.3.7
- JACK Session managerism. 
* Mon May 17 2010 Rui Nuno Capela <rncbc@rncbc.org>
- Standard desktop icon fixing. 
* Mon Jan 11 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.3.6
- Full D-Busification!
* Mon Jan 11 2010 Rui Nuno Capela <rncbc@rncbc.org>
- Man page added.
* Wed Sep 30 2009 Rui Nuno Capela <rncbc@rncbc.org> 0.3.5
- Slipped away!
* Fri Dec 05 2008 Rui Nuno Capela <rncbc@rncbc.org> 0.3.4
- Patchbay snapshot revamp.
* Sat Jun 07 2008 Rui Nuno Capela <rncbc@rncbc.org> 0.3.3
- Patchbay JACK-MIDI, file logging and X11 uniqueness.
* Thu Dec 20 2007 Rui Nuno Capela <rncbc@rncbc.org> 0.3.2
- Patchbay heads-up with season greetings. 
* Thu Jul 19 2007 Rui Nuno Capela <rncbc@rncbc.org>
- System-tray tooltip icon crash fix.
* Wed Jul 18 2007 Rui Nuno Capela <rncbc@rncbc.org> 0.3.1
- Shallowed bug-fix release..
* Tue Jul 10 2007 Rui Nuno Capela <rncbc@rncbc.org> 0.3.0
- Qt4 migration was complete.
* Mon Jun 25 2007 Rui Nuno Capela <rncbc@rncbc.org>
- Application icon is now installed to (prefix)/share/pixmaps.
- Declared fundamental build and run-time requirements.
- Destination install directory prefix is now in spec.
- Spec is now a bit more openSUSE compliant.
* Wed May 31 2006 Rui Nuno Capela <rncbc@rncbc.org>
- Changed copyright to license attribute
* Wed Aug 24 2005 Rui Nuno Capela <rncbc@rncbc.org>
- Created initial qjackctl.spec
